
agent {
    bind_address                   = "127.0.0.1"
    bind_port                      = "8083"
    trust_domain                   = "example.com"
    trust_bundle_path              = "@l_prefix@/etc/spire/spire-ca.crt"
    plugin_dir                     = "@l_prefix@/etc/spire/spire-agent.d"
    data_dir                       = "@l_prefix@/var/spire/data/spire-agent.d"
    log_level                      = "DEBUG"
    umask                          = ""
    server_address                 = "127.0.0.1"
    server_port                    = "8081"
    socket_path                    = "@l_prefix@/var/spire/run/spire-agent.sock"
    join_token                     = ""
}

plugins {
    NodeAttestor "join_token" {
        enabled                    = true
        plugin_data {
            trust_domain           = "example.com"
        }
    }
    KeyManager "memory" {
        enabled                    = true
        plugin_data {}
    }
    WorkloadAttestor "k8s" {
        enabled                    = true
        plugin_data {
            kubelet_read_only_port = "10255"
        }
    }
    WorkloadAttestor "unix" {
        enabled                    = true
        plugin_data {}
    }
}

